API Direct
Endpoints
Trustpilot Company Reviews

Trustpilot Company Reviews

GET /v1/trustpilot/company/reviews

Get a company's Trustpilot reviews and full profile by website domain. Each page returns up to 20 reviews; one call fetches up to 10 pages.

Cost
$0.005 per page
Free tier
50 requests/month

Parameters

domain *
Company website domain (e.g. gossby.com) or its Trustpilot review-page URL (max 500 characters)
pages
Number of pages to fetch, 1-10 (default: 1). Each page returns up to 20 reviews and is billed as one request
sort_by
most_relevant (default), newest
rating
Only reviews with these star ratings, comma-separated 1-5 (e.g. 1,2 or 5)
posted_ago
Only reviews from this period: 30d, 3m, 6m, 12m (default: all time)
language
2-letter ISO 639-1 language code (e.g. en, de). Default: all languages
verified
Set to true to return only verified reviews
with_replies
Set to true to return only reviews the company has replied to
query
Only reviews matching this keyword or phrase (max 500 characters)
get_sentiment
Set to true to add AI emotion analysis (+$0.001/page)

Example Request

curl "https://apidirect.io/v1/trustpilot/company/reviews?domain=gossby.com&pages=2&sort_by=newest"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "company": {
    "business_unit_id": "5dc962f10fdaf000012b2f08",
    "name": "Gossby",
    "domain": "gossby.com",
    "website": "https://gossby.com",
    "url": "https://www.trustpilot.com/review/gossby.com",
    "logo": "https://s3-eu-west-1.amazonaws.com/tpd/logos/5dc962f10fdaf000012b2f08/0x0.png",
    "rating": 4.2,
    "stars": 4.0,
    "review_count": 37687,
    "review_count_last_12_months": 1313,
    "reviews_per_rating": {
      "1": 3934,
      "2": 1110,
      "3": 1516,
      "4": 2829,
      "5": 28298
    },
    "categories": [
      "Gift Shop",
      "Clothing Store",
      "Hobby Store"
    ],
    "category_path": [
      "Shopping & Fashion",
      "Clothing & Underwear",
      "Clothing Store"
    ],
    "is_claimed": true,
    "claimed_date": "2019-11-15T04:26:53.000Z",
    "is_closed": false,
    "is_temporarily_closed": false,
    "is_collecting_reviews": false,
    "verification": {
      "verified_payment_method": false,
      "verified_user_identity": true,
      "verified_by_google": true
    },
    "reply_behavior": {
      "reply_percentage": 98.7012987012987,
      "average_days_to_reply": 0.25,
      "negative_reviews_with_replies": 228,
      "total_negative_reviews": 231,
      "last_reply_to_negative": "2026-09-06 01:30:03 UTC"
    },
    "email": "support@gossby.com",
    "phone_number": "(585) 366 8846",
    "address": "6901 Riverport Dr",
    "city": "Louisville",
    "zipcode": "40258",
    "country": "US",
    "locations_count": 0,
    "topics": [
      "Order",
      "Delivery service",
      "Product",
      "Quality",
      "Christmas",
      "Customer service",
      "Service",
      "Customer communications",
      "Price",
      "Location",
      "Website",
      "Recommendation",
      "Mistake",
      "Solution",
      "Marketing"
    ]
  },
  "reviews": [
    {
      "review_id": "6a9e02811b7c1d51f71113ca",
      "review_link": "https://www.trustpilot.com/reviews/6a9e02811b7c1d51f71113ca",
      "rating": 5,
      "title": "5 stars all around",
      "review_text": "There are lots of great products. I had trouble narrowing it down. I like the preview option to see what the personalization would look like. The product was delivered faster than I expected and looked great. I’ll be back.",
      "review_language": "en",
      "review_datetime_utc": "2026-09-07T02:17:05.000Z",
      "review_timestamp": 1788747425,
      "experience_date": "2026-09-06",
      "updated_datetime_utc": null,
      "is_verified": false,
      "verification_level": "not-verified",
      "like_count": 0,
      "author_id": "6a9e0193452b16209f5549a1",
      "author_name": "Ash",
      "author_country": "US",
      "author_review_count": 1,
      "author_link": "https://www.trustpilot.com/users/6a9e0193452b16209f5549a1",
      "owner_response": null
    },
    {
      "review_id": "6a9db9402386d1ebd2295f29",
      "review_link": "https://www.trustpilot.com/reviews/6a9db9402386d1ebd2295f29",
      "rating": 5,
      "title": "I love the You and Me & the Dog mug",
      "review_text": "I love the You and Me & the Dog mug. The amount of design options is great, nice colors and sizes. The only problem I had was when I ordered blue trim I didn’t realize it only came in the smaller size mug. Something to be aware of.",
      "review_language": "en",
      "review_datetime_utc": "2026-09-06T21:04:32.000Z",
      "review_timestamp": 1788728672,
      "experience_date": "2026-09-06",
      "updated_datetime_utc": null,
      "is_verified": false,
      "verification_level": "invited",
      "like_count": 0,
      "author_id": "5693f8c70000ff0001fb4ce3",
      "author_name": "Darleen",
      "author_country": "US",
      "author_review_count": 5,
      "author_link": "https://www.trustpilot.com/users/5693f8c70000ff0001fb4ce3",
      "owner_response": null
    }
  ],
  "count": 2,
  "pages": 2,
  "sort_by": "newest"
}

Your Usage

Free tier this month
Loading...
Recent Activity